# file: mp3splt.spec #

Source1000:     vdb.lua
%include        %{S:1000}

%global major   2
%global minor   6
%global patch   2
%global rel     0.vdb.1

Name:           mp3splt
Version:        %{major}.%{minor}.%{patch}
Release:        %{rel}%{?dist}
Summary:        Tool for mp3/ogg splitting without decoding
License:        GPLv2+
URL:            http://mp3splt.sourceforge.net
Source0:        https://sourceforge.net/projects/mp3splt/files/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  make
BuildRequires:  pkgconfig(libmp3splt)

%description
%{lua: descr( [[
    mp3splt is a utility to split mp3, ogg vorbis and native FLAC files selecting a begin and an
    end time position, without decoding. It's very useful to split large mp3/ogg vorbis/FLAC to
    make smaller files or to split entire albums to obtain original tracks. If you want to split an
    album, you can select split points and file names manually or you can get them automatically
    from CDDB (internet or a local file) or from .cue files. Supports also automatic silence split,
    that can be used also to adjust CDDB/CUE split points. Trimming using silence detection is also
    available. You can extract tracks from Mp3Wrap or AlbumWrap files in few seconds. For mp3
    files, both ID3v1 & ID3v2 tags are supported.
]] ) }

%prep
%setup -q
%{configure}

%build
%{make_build}

%check
%{__make} check

%install
%{make_install}
%find_lang %{name}

%clean

%files -f %{name}.lang
        %{_bindir}/%{name}
%doc    %{_mandir}/man1/%{name}.1.gz
%license COPYING

%changelog

* Sat Dec 05 2020 Van de Bugger - 2.6.2-0.vdb.1
- Initial release.

